CustomFields
List custom fields
Returns a paginated list of custom field definitions for the organization. Use this endpoint to list custom fields through the Samva email API.
Returns a paginated list of custom field definitions for the organization.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
page?string|null
limit?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/custom-fields"{ "items": [ { "id": "string", "organizationId": "string", "key": "string", "label": "string", "type": "text", "options": [ "string" ], "defaultValue": "string", "isRequired": true, "sortOrder": 0, "createdAt": "string", "updatedAt": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}